//
//  mainViewController.m
//  testPractice
//
//  Created by Scott Crouch on 12/2/10.
//  Copyright 2010 Scott Crouch All rights reserved.
//

#import "mainViewController.h"


@implementation mainViewController 

@synthesize button, myModalPopupViewController, buttonLabel; 


//since we are not using interface builder, we will have to use loadview to create the view programatically

- (void) loadView { 
	
	//since this is a custom viewcontroller there is no view associated with it yet so we need to create one and set it to the view,
	//i just created a white background UIView here.  
	
	UIView *mainView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)];
	mainView.backgroundColor = [UIColor colorWithRed:0.0 green:0.0 blue:0.0 alpha:0.0]; 
	mainView.opaque = NO;
	
	//here is where we set the view
	[self setView:mainView];
	
	//create label 1, init it with a frame, set it's text and font size
	UILabel *label1 = [[UILabel alloc] initWithFrame:CGRectMake(30, 50, 300, 30)]; 
	label1.text = @"This is CS50:"; 
	label1.font = [UIFont systemFontOfSize:24]; 
	
	//create label2, init it with a frame, set it's text and font size
	UILabel *label2 = [[UILabel alloc] initWithFrame:CGRectMake(80, 80, 300, 30)]; 
	label2.text = @"On an iPhone"; 
	label2.font = [UIFont systemFontOfSize:23];
	
	//add both labels to the current view which is mainView
	[mainView addSubview:label2];
	[mainView addSubview:label1]; 
	
	//initialize and alloc button label with a frame, set it's text, text color and font
	buttonLabel = [[UILabel alloc] initWithFrame:CGRectMake(85, 170, 300, 30)]; 
	buttonLabel.text = @"PRESS ME"; 
	[buttonLabel setTextColor: [UIColor blueColor]]; 
	[buttonLabel setFont: [UIFont systemFontOfSize:30]]; 
	
	//add button label
	[mainView addSubview:buttonLabel]; 
	
	
	//create an NSTimer that will repeat itself every second and call the function (void) fadeButton: (id) sender
	[NSTimer scheduledTimerWithTimeInterval:1
									 target:self
								   selector:@selector(fadeButton:)
								   userInfo:nil
									repeats:YES];
	
	
	
	//create a button with type custom which will allow us to set our own background image, we then set it's frame
	//and set it's target to self and it's action to the selector launchModalTableView which is a method down below
	UIButton *cs50Button = [UIButton buttonWithType:UIButtonTypeCustom];
    [cs50Button setBackgroundImage:[UIImage imageNamed:@"red.png"] forState:UIControlStateNormal];
	cs50Button.frame = CGRectMake(110, 220, 90, 90);
	[cs50Button addTarget:self action:@selector(launchModalTableView:) forControlEvents:UIControlEventTouchUpInside];
	
	//add cs50 button to the mainview	
	[mainView addSubview:cs50Button];

	[label1 release];
	[label2 release];
	[mainView release];
		
	
} 
					  
- (void) viewDidLoad { 
	
	[super viewDidLoad];
}

- (void) fadeButton: (id) sender { 
	
	
	//alright so here is where we do teh animations, first thing we need to do is set beginAnimations to nil and context to NUll while we set
	//things up and then set the delegate to self.  then we tell the view what to do when this animation has ended whis is to call the next function below. We
	//then set the animation duration to half a second, and then set the transparency of buttonlabel to 0 which will fade the button
	//final line comits the animation (begins it)
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDelegate:self];
	[UIView setAnimationDidStopSelector:@selector(animationDidStop:finished:context:)];
	[UIView setAnimationDuration:.5];
	[buttonLabel setAlpha:0];
	[UIView commitAnimations];

}

-(void)animationDidStop:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context {
	
	//pretty much same as above
	[UIView beginAnimations:nil context:NULL];
	[UIView setAnimationDuration:.5];
	[buttonLabel setAlpha:1];
	[UIView commitAnimations];
	
	
}

- (void) launchModalTableView: (id) sender {
	
	//so we create a new instance of the modalPopupViewController class and then we create a navigation controller that we
	//can imbed in the modal popup so we set it's rootViewController to be the modalPopup
	modalPopupViewController *popup = [[modalPopupViewController alloc] init]; 
	UINavigationController *navController = [[UINavigationController alloc]initWithRootViewController:popup];
	
	//this just makes the color of the nav bar in the popup black and then set's the transistion style of the popup
	navController.navigationBar.tintColor = [UIColor blackColor];
	[navController setModalTransitionStyle:UIModalTransitionStyleCoverVertical];
	
	//presents the modal view controller
	[self presentModalViewController:navController animated: YES];
	
	
	
}



-(void) dealloc { 
	
	[buttonLabel release];
	[myModalPopupViewController release];
	[super dealloc];
}  



@end
