//
//  practiceModel.m
//
//
//  Created by Scott Crouch on 12/2/10.
//  Copyright 2010 Scott Crouch All rights reserved.
//

// import necessary libraries
#import "practiceModel.h"

// start implementation of TutorialsModel
@implementation practiceModel

// synthesize properties
@synthesize names, images;

//since we are not actually loading a view with this controller, we are just using it as a datamodel, we will not call and loadView functions

- (id) init {
	
	//init the superclass
	self = [super init];
	
	// put names of the CSStaff into the into the array
	NSMutableArray *tmpNames = [[NSArray alloc] initWithObjects:
									@"David: The Prof", 
									@"Yuhki", 
									@"Cansu",
									@"Matt",
									@"Rose",
									@"Marta",
								    nil];
	
	//set the global array equal to the temp array and release the temp array
	self.names = tmpNames;
	[tmpNames release];
	
	//put the staff images names into an array and then set the global array equal the temp array and release the temp array
	NSMutableArray *tmpImages = [[NSArray alloc] initWithObjects:
								 @"malan.jpg",
								 @"yyamash.jpg",
								 @"aydede.jpg",
								 @"chartier.jpg",
								 @"rcao.jpg",
								 @"mbralic.jpg",
								 nil];
	self.images = tmpImages;
	[tmpImages release];
	
	return self;
}


// if clicked then return the index at which the clicked object is at
- (NSString *)getNameAtIndex:(int)index {
	return [names objectAtIndex:index];
}

// if clicked then return the image at which the clicked object is associated with
- (UIImage *)getImageAtIndex:(int)index {
	UIImage *staffImage = [UIImage imageNamed:[images objectAtIndex:index]];
	return staffImage;
}

// free synthesized properties
- (void) dealloc {
	
	[names release];
	[images release];
	[super dealloc];
}

@end

