//
//  testPracticeAppDelegate.h
//  testPractice
//
//  Created by Scott Crouch on 12/2/10.
//  Copyright 2010 Scott Crouch All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>
#import "mainViewController.h"
#import "secondaryViewController.h"

@interface testPracticeAppDelegate : NSObject <UIApplicationDelegate, UITabBarControllerDelegate> {
    
	//declare pointers to a window, two custom view controllers and a UITabBarController
    UIWindow *window;
	mainViewController *mVC; 
	secondaryViewController *sVC; 
	
	UITabBarController *tabBarViewController; 
    
@private
	
	//private coredata objects
    NSManagedObjectContext *managedObjectContext_;
    NSManagedObjectModel *managedObjectModel_;
    NSPersistentStoreCoordinator *persistentStoreCoordinator_;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) mainViewController *mVC; 
@property (nonatomic, retain) UITabBarController *tabBarViewController; 
@property (nonatomic, retain) secondaryViewController *sVC;

@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (NSString *)applicationDocumentsDirectory;
- (void)saveContext;

@end

